"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var ReactDOM = require("react-dom");
var env_1 = require("../../env");
var base_1 = require("../base");
var Overlay = /** @class */ (function (_super) {
    __extends(Overlay, _super);
    function Overlay() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [29.11.2018]
     * @returns {React.ReactPortal}
     */
    Overlay.prototype.render = function () {
        var props = this.props;
        return ReactDOM.createPortal(React.createElement("div", { ref: this.getSelfRef(), className: 'rac-overlay rac-absolute-full', onClick: props.onClick }, "\u00A0"), env_1.ENV.documentBody);
    };
    return Overlay;
}(base_1.BaseComponent));
exports.Overlay = Overlay;
//# sourceMappingURL=overlay.component.js.map