"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var error_interface_1 = require("./error.interface");
function convertError(error) {
    if (error instanceof Error) {
        return error_interface_1.ApplicationError.create(error.message);
    }
    else if (error && error.message) {
        var error0 = error;
        return error_interface_1.ApplicationError.create([error0.code, error0.message].filter(function (i) { return !!i; }).join(': '), error0.code);
    }
    return error_interface_1.ApplicationError.create(String(error));
}
exports.convertError = convertError;
//# sourceMappingURL=error.converter.js.map