"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var root_reducer_1 = require("../component/root/root.reducer");
var notification_1 = require("../notification");
var dictionary_1 = require("../dictionary");
var permissions_1 = require("../permissions");
var stack_1 = require("./stack");
var channel_1 = require("../channel");
var store_support_1 = require("../store/store.support");
var user_interface_1 = require("../user/user.interface");
var default_layout_reducer_1 = require("../component/layout/default/default-layout.reducer");
exports.defaultReducers = __assign({ dictionaries: dictionary_1.dictionariesReducer, permissions: permissions_1.permissionsReducer, root: root_reducer_1.rootReducer, user: store_support_1.entityReducerFactory(user_interface_1.USER_UPDATE_ACTION_TYPE, user_interface_1.USER_DESTROY_ACTION_TYPE), layout: default_layout_reducer_1.defaultLayoutReducer, stack: stack_1.stackReducer, notification: notification_1.notificationReducer }, channel_1.channelsReducers);
//# sourceMappingURL=store.interface.js.map