"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var redux_effects_promise_1 = require("redux-effects-promise");
var transport_reducer_interface_1 = require("./transport-reducer.interface");
var TransportActionBuilder = /** @class */ (function () {
    function TransportActionBuilder() {
    }
    TransportActionBuilder.buildUpdateTokenAction = function (data) {
        return redux_effects_promise_1.EffectsAction.create(transport_reducer_interface_1.TRANSPORT_UPDATE_TOKEN_ACTION_TYPE, data);
    };
    TransportActionBuilder.buildDestroyTokenAction = function () {
        return redux_effects_promise_1.EffectsAction.create(transport_reducer_interface_1.TRANSPORT_DESTROY_TOKEN_ACTION_TYPE);
    };
    return TransportActionBuilder;
}());
exports.TransportActionBuilder = TransportActionBuilder;
//# sourceMappingURL=transport-action.builder.js.map