/// <reference types="react" />
import { ICheckboxState, ICheckboxProps, ICheckboxInputProps } from './checkbox.interface';
import { BaseCheckbox } from './base-checkbox.component';
export declare class Checkbox extends BaseCheckbox<Checkbox, ICheckboxProps, ICheckboxState> {
    /**
     * @stable [31.08.2018]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [31.08.2018]
     * @returns {JSX.Element}
     */
    protected getInputAttachmentElement(): JSX.Element;
    /**
     * @stable [31.08.2018]
     * @returns {ICheckboxInputProps}
     */
    protected getInputElementProps(): ICheckboxInputProps;
    /**
     * @stable [31.08.2018]
     * @returns {string}
     */
    protected getFieldClassName(): string;
    /**
     * @stable [31.08.2018]
     * @returns {JSX.Element}
     */
    protected getSelfElementClassName(): string;
}
