"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var URLSearchParams = require("url-search-params");
var base_1 = require("../../component/base");
var root_interface_1 = require("./root.interface");
var RootContainer = /** @class */ (function (_super) {
    __extends(RootContainer, _super);
    function RootContainer() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    RootContainer.prototype.componentWillMount = function () {
        var props = this.props;
        if (props.beforeEnter) {
            props.beforeEnter();
        }
        var actionParams = {
            path: props.path,
            section: props.section,
            changes: props.initialChanges && props.initialChanges(this.appStore.getState()),
        };
        this.dispatch(root_interface_1.ROOT_PATH_UPDATE_ACTION_TYPE, actionParams);
    };
    RootContainer.prototype.componentDidMount = function () {
        if (this.props.afterEnter) {
            this.props.afterEnter();
        }
    };
    Object.defineProperty(RootContainer.prototype, "routeParams", {
        get: function () {
            return this.props.computedMatch.params;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(RootContainer.prototype, "queryParams", {
        get: function () {
            return new URLSearchParams(this.props.location.search);
        },
        enumerable: true,
        configurable: true
    });
    RootContainer.defaultProps = {
        sectionName: root_interface_1.ROOT_SECTION,
    };
    return RootContainer;
}(base_1.BaseContainer));
exports.RootContainer = RootContainer;
//# sourceMappingURL=root.container.js.map